SRU: Add (Ubuntu) natty as a symlink to gutsy.

Bug #673038 reported by Jonathan Riddell on 2010-11-09
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
debootstrap (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: debootstrap

In Lucid add (Ubuntu) natty as a symlink to gutsy.

Jonathan Riddell (jr) wrote :

diff -Nru debootstrap-1.0.20ubuntu1.1/Makefile debootstrap-1.0.20ubuntu1.2/Makefile
--- debootstrap-1.0.20ubuntu1.1/Makefile 2010-04-16 10:03:52.000000000 +0000
+++ debootstrap-1.0.20ubuntu1.2/Makefile 2010-10-20 17:07:16.000000000 +0000
@@ -29,6 +29,7 @@
        ln -s gutsy $(DSDIR)/scripts/karmic
        ln -s gutsy $(DSDIR)/scripts/lucid
        ln -s gutsy $(DSDIR)/scripts/maverick
+ ln -s gutsy $(DSDIR)/scripts/natty

        sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
        chown root:root $(DESTDIR)/usr/sbin/debootstrap
diff -Nru debootstrap-1.0.20ubuntu1.1/debian/changelog debootstrap-1.0.20ubuntu1.2/debian/changelog
--- debootstrap-1.0.20ubuntu1.1/debian/changelog 2010-08-17 13:58:06.000000000 +0000
+++ debootstrap-1.0.20ubuntu1.2/debian/changelog 2010-10-20 18:31:12.000000000 +0000
@@ -1,3 +1,9 @@
+debootstrap (1.0.20ubuntu1.2) lucid-proposed; urgency=low
+
+ * Add (Ubuntu) natty as a symlink to gutsy.
+
+ -- Tim Gardner <email address hidden> Wed, 20 Oct 2010 11:07:22 -0600
+
 debootstrap (1.0.20ubuntu1.1) lucid-proposed; urgency=low

   * scripts/sid:

Jonathan Riddell (jr) wrote :

Blocked on bug 533369

Mackenzie Morgan (maco.m) wrote :

The blocking bug has been resolved.

Jonathan Riddell (jr) wrote :

Uploaded to lucid-proposed, awaiting approval

Changed in debootstrap (Ubuntu):
status: New → Invalid
summary: - Add (Ubuntu) natty as a symlink to gutsy.
+ SRU: Add (Ubuntu) natty as a symlink to gutsy.
Jonathan Riddell (jr) wrote :

TEST CASE

Install the new deboostrap, create a natty chroot

Accepted debootstrap into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in debootstrap (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Can anyone please give the debootstrap in lucid-proposed some testing and report back? We are currently wrapping up the 10.04.2 point release, and need to verify proposed updates really soon now. Thank you!

I didn't get it from the package, but I can confirm that having the symlink
there (same as the package adds) makes pbuilder-dist perfectly happy with
natty.

Martin Pitt (pitti) wrote :

OK, as this is arch:all, there is no potential for misbuilds, so let's count this as verified.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debootstrap - 1.0.20ubuntu1.2

---------------
debootstrap (1.0.20ubuntu1.2) lucid-proposed; urgency=low

  * Add (Ubuntu) natty as a symlink to gutsy. LP: #673038
 -- Tim Gardner <email address hidden> Wed, 20 Oct 2010 11:07:22 -0600

Changed in debootstrap (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers